import request from '@/utils/request'

export function getWorkshopPage(data) {
  return request({
    url: '/js-workshop/page',
    method: 'get',
    params: data
  })
}

export function getWorkshopList(data) {
  return request({
    url: '/js-workshop/list',
    method: 'post',
    data: data
  })
}

export function getWorkshopDetail(data) {
  return  request({
    url: '/js-workshop/listById',
    method: 'post',
    data: data
  })
}

export function addWorkshopPage(data) {
  return request({
    url: '/js-workshop/add',
    method: 'post',
    data: data
  })
}

export function editWorkshopPage(data) {
  return request({
    url: '/js-workshop/edit',
    method: 'post',
    data: data
  })
}

export function delWorkshopPage(data) {
  return request({
    url: '/js-workshop/delete',
    method: 'post',
    data: data
  })
}
